import { error } from '../constants';
import { plugin, typedPlugin, LocalRuleOptions } from '../custom/index';
import { defineConfig } from '../types';

export default defineConfig([
  {
    plugins: { custom: plugin },
    rules: {
      'custom/no-import-dot': error,
      'custom/no-useless-import-alias': error,
    } satisfies Partial<LocalRuleOptions>,
  },
  {
    plugins: { 'typed-custom': typedPlugin },
    files: ['*.ts', '!*.d.ts'],
    rules: {
      'typed-custom/restrict-template-expressions': error,
    } satisfies Partial<LocalRuleOptions>,
  },
]);
